#include <math.h>

void cg (
  double young,
  double shear,
  double radw,
  double radh,
  double hL0,
  double *iniMatTanRB,
  double iniMatNorRB,
  double *iniRefTanRO,
  double *iniRefNorRO,
  double rtx,
  double *rotationAnglesRB,
  double *ex,
  double thetax,
  double *energyGradient)
{
  double t10;
  double t100;
  double t1016;
  double t1017;
  double t102;
  double t1020;
  double t1024;
  double t1031;
  double t104;
  double t1041;
  double t105;
  double t1072;
  double t1075;
  double t1082;
  double t1092;
  double t11;
  double t110;
  double t111;
  double t113;
  double t115;
  double t117;
  double t12;
  double t120;
  double t126;
  double t129;
  double t13;
  double t130;
  double t131;
  double t134;
  double t14;
  double t142;
  double t146;
  double t147;
  double t149;
  double t15;
  double t156;
  double t157;
  double t16;
  double t163;
  double t167;
  double t168;
  double t172;
  double t176;
  double t179;
  double t180;
  double t185;
  double t190;
  double t191;
  double t192;
  double t194;
  double t195;
  double t198;
  double t199;
  double t2;
  double t20;
  double t200;
  double t202;
  double t203;
  double t204;
  double t206;
  double t207;
  double t212;
  double t214;
  double t216;
  double t219;
  double t22;
  double t222;
  double t223;
  double t226;
  double t227;
  double t229;
  double t23;
  double t230;
  double t232;
  double t233;
  double t236;
  double t238;
  double t239;
  double t24;
  double t243;
  double t245;
  double t246;
  double t25;
  double t251;
  double t254;
  double t255;
  double t258;
  double t26;
  double t260;
  double t262;
  double t266;
  double t268;
  double t27;
  double t272;
  double t276;
  double t28;
  double t280;
  double t283;
  double t285;
  double t287;
  double t29;
  double t293;
  double t296;
  double t30;
  double t301;
  double t304;
  double t305;
  double t307;
  double t31;
  double t310;
  double t312;
  double t316;
  double t318;
  double t319;
  double t32;
  double t322;
  double t323;
  double t328;
  double t331;
  double t337;
  double t34;
  double t346;
  double t347;
  double t353;
  double t359;
  double t36;
  double t361;
  double t363;
  double t366;
  double t37;
  double t372;
  double t377;
  double t387;
  double t388;
  double t39;
  double t394;
  double t400;
  double t405;
  double t408;
  double t41;
  double t410;
  double t416;
  double t42;
  double t43;
  double t430;
  double t44;
  double t45;
  double t46;
  double t468;
  double t473;
  double t475;
  double t476;
  double t48;
  double t481;
  double t485;
  double t488;
  double t494;
  double t495;
  double t498;
  double t5;
  double t50;
  double t501;
  double t504;
  double t505;
  double t511;
  double t514;
  double t519;
  double t52;
  double t528;
  double t53;
  double t540;
  double t552;
  double t556;
  double t56;
  double t561;
  double t562;
  double t565;
  double t57;
  double t571;
  double t582;
  double t592;
  double t594;
  double t599;
  double t6;
  double t606;
  double t613;
  double t62;
  double t627;
  double t63;
  double t637;
  double t64;
  double t65;
  double t66;
  double t677;
  double t68;
  double t684;
  double t687;
  double t69;
  double t692;
  double t696;
  double t7;
  double t700;
  double t701;
  double t702;
  double t704;
  double t707;
  double t71;
  double t712;
  double t717;
  double t72;
  double t721;
  double t731;
  double t735;
  double t74;
  double t740;
  double t746;
  double t75;
  double t751;
  double t757;
  double t758;
  double t765;
  double t767;
  double t773;
  double t779;
  double t795;
  double t8;
  double t809;
  double t81;
  double t83;
  double t85;
  double t854;
  double t860;
  double t866;
  double t869;
  double t87;
  double t878;
  double t88;
  double t889;
  double t9;
  double t900;
  double t930;
  double t932;
  double t935;
  double t942;
  double t95;
  double t951;
  double t954;
  double t963;
  double t97;
  double t974;
  double t98;
  double t985;
  double t99;
  t2 = radh * radh;
  t8 = rotationAnglesRB[2];
  t5 = cos(t8);
  t12 = rotationAnglesRB[1];
  t6 = cos(t12);
  t7 = t5 * t6;
  t9 = sin(t12);
  t10 = t5 * t9;
  t15 = rotationAnglesRB[0];
  t11 = sin(t15);
  t13 = sin(t8);
  t14 = cos(t15);
  t16 = t10 * t11 - t13 * t14;
  t20 = t10 * t14 + t13 * t11;
  t30 = iniMatTanRB[0];
  t36 = iniMatTanRB[1];
  t39 = iniMatTanRB[2];
  t22 = t7 * t30 + t16 * t36 + t20 * t39;
  t42 = ex[0];
  t23 = t42 * t42;
  t45 = ex[1];
  t24 = t45 * t45;
  t46 = ex[2];
  t25 = t46 * t46;
  t26 = t23 + t24 + t25;
  t27 = sqrt(t26);
  t28 = 0.1e1 / t27;
  t29 = t22 * t28;
  t31 = 0.1e1 * t29 * t42;
  t32 = t13 * t6;
  t34 = t13 * t9;
  t37 = t34 * t11 + t5 * t14;
  t41 = t34 * t14 - t5 * t11;
  t43 = t32 * t30 + t37 * t36 + t41 * t39;
  t44 = t43 * t28;
  t48 = t6 * t11;
  t50 = t6 * t14;
  t52 = -t9 * t30 + t48 * t36 + t50 * t39;
  t53 = t52 * t28;
  t56 = 0.1e1 + t31 + 0.1e1 * t44 * t45 + 0.1e1 * t53 * t46;
  t57 = 0.1e1 / t56;
  t62 = 0.1e1 * t44 * t46 - 0.1e1 * t53 * t45;
  t63 = t57 * t62;
  t64 = t28 * t45;
  t65 = cos(thetax);
  t83 = iniRefTanRO[0];
  t66 = t83 * t28;
  t68 = 0.1e1 * t66 * t42;
  t85 = iniRefTanRO[1];
  t69 = t85 * t28;
  t71 = 0.1e1 * t69 * t45;
  t88 = iniRefTanRO[2];
  t72 = t88 * t28;
  t74 = 0.1e1 * t72 * t46;
  t75 = t68 + t71 + t74;
  t81 = 0.1e1 * t69 * t46 - 0.1e1 * t72 * t45;
  t87 = 0.1e1 * t72 * t42 - 0.1e1 * t66 * t46;
  t95 = 0.1e1 * t66 * t45 - 0.1e1 * t69 * t42;
  t111 = iniRefNorRO[0];
  t113 = iniRefNorRO[1];
  t115 = iniRefNorRO[2];
  t97 = t81 * t111 + t87 * t113 + t95 * t115;
  t98 = 0.1e1 + t68 + t71 + t74;
  t99 = 0.1e1 / t98;
  t100 = t97 * t99;
  t102 = t75 * t115 + t81 * t113 - t87 * t111 + t100 * t95;
  t104 = sin(thetax);
  t105 = t28 * t42;
  t110 = t75 * t113 + t95 * t111 - t81 * t115 + t100 * t87;
  t117 = t75 * t111 + t87 * t115 - t95 * t113 + t100 * t81;
  t120 = 0.1e1 * t105 * t110 - 0.1e1 * t64 * t117;
  t126 = t28 * t46;
  t129 = 0.1e1 * t105 * t117 + 0.1e1 * t64 * t110 + 0.1e1 * t126 * t102;
  t130 = 0.1e1 - t65;
  t131 = t129 * t130;
  t134 = t65 * t102 + t104 * t120 + 0.1e1 * t131 * t126;
  t142 = 0.1e1 * t126 * t117 - 0.1e1 * t105 * t102;
  t146 = t65 * t110 + t104 * t142 + 0.1e1 * t131 * t64;
  t147 = t126 * t146;
  t149 = 0.1e1 * t64 * t134 - 0.1e1 * t147;
  t156 = 0.1e1 * t53 * t42 - 0.1e1 * t29 * t46;
  t157 = t57 * t156;
  t163 = 0.1e1 * t64 * t102 - 0.1e1 * t126 * t110;
  t167 = t65 * t117 + t104 * t163 + 0.1e1 * t105 * t131;
  t168 = t126 * t167;
  t172 = 0.1e1 * t168 - 0.1e1 * t105 * t134;
  t176 = 0.1e1 * t29 * t45;
  t179 = t176 - 0.1e1 * t44 * t42;
  t180 = t57 * t179;
  t185 = 0.1e1 * t105 * t146 - 0.1e1 * t64 * t167;
  t190 = t56 * t56;
  t191 = 0.1e1 / t190;
  t192 = t191 * t62;
  t194 = t28 / t26;
  t195 = t22 * t194;
  t198 = 0.1e1 * t29;
  t199 = t43 * t194;
  t200 = t45 * t42;
  t202 = 0.1e1 * t199 * t200;
  t203 = t52 * t194;
  t204 = t46 * t42;
  t206 = 0.1e1 * t203 * t204;
  t207 = -0.1e1 * t195 * t23 + t198 - t202 - t206;
  t212 = 0.1e1 * t199 * t204;
  t214 = 0.1e1 * t203 * t200;
  t216 = t57 * (-t212 + t214);
  t219 = t194 * t45;
  t222 = 0.1e1 * t219 * t134 * t42;
  t223 = t83 * t194;
  t226 = 0.1e1 * t66;
  t227 = t85 * t194;
  t229 = 0.1e1 * t227 * t200;
  t230 = t88 * t194;
  t232 = 0.1e1 * t230 * t204;
  t233 = -0.1e1 * t223 * t23 + t226 - t229 - t232;
  t236 = 0.1e1 * t227 * t204;
  t238 = 0.1e1 * t230 * t200;
  t239 = -t236 + t238;
  t243 = 0.1e1 * t72;
  t245 = 0.1e1 * t223 * t204;
  t246 = -0.1e1 * t230 * t23 + t243 + t245;
  t251 = 0.1e1 * t223 * t200;
  t254 = 0.1e1 * t69;
  t255 = -t251 + 0.1e1 * t227 * t23 - t254;
  t258 = (t239 * t111 + t246 * t113 + t255 * t115) * t99;
  t260 = t98 * t98;
  t262 = t97 / t260;
  t276 = t262 * t95;
  t266 = t233 * t115 + t239 * t113 - t246 * t111 + t258 * t95 - t276 * t233 + t100 * t255;
  t268 = t194 * t23;
  t272 = 0.1e1 * t28 * t110;
  t287 = t262 * t87;
  t280 = t233 * t113 + t255 * t111 - t239 * t115 + t258 * t87 - t287 * t233 + t100 * t246;
  t283 = t117 * t42;
  t285 = 0.1e1 * t219 * t283;
  t296 = t262 * t81;
  t293 = t233 * t111 + t246 * t115 - t255 * t113 + t258 * t81 - t296 * t233 + t100 * t239;
  t301 = 0.1e1 * t28 * t117;
  t304 = t194 * t42;
  t305 = t110 * t45;
  t307 = 0.1e1 * t304 * t305;
  t310 = t102 * t46;
  t312 = 0.1e1 * t304 * t310;
  t316 = (-0.1e1 * t268 * t117 + t301 + 0.1e1 * t105 * t293 - t307 + 0.1e1 * t64 * t280 - t312 + 0.1e1 * t126 * t266) * t130;
  t319 = t194 * t46;
  t318 = t131 * t319;
  t322 = 0.1e1 * t318 * t42;
  t323 = t65 * t266 + t104 * (-0.1e1 * t268 * t110 + t272 + 0.1e1 * t105 * t280 + t285 - 0.1e1 * t64 * t293) + 0.1e1 * t316 * t126 - t322;
  t328 = 0.1e1 * t319 * t146 * t42;
  t331 = 0.1e1 * t319 * t283;
  t337 = 0.1e1 * t28 * t102;
  t346 = 0.1e1 * t131 * t219 * t42;
  t347 = t65 * t280 + t104 * (-t331 + 0.1e1 * t126 * t293 + 0.1e1 * t268 * t102 - t337 - 0.1e1 * t105 * t266) + 0.1e1 * t316 * t64 - t346;
  t353 = t191 * t156;
  t359 = 0.1e1 * t53;
  t361 = 0.1e1 * t195 * t204;
  t363 = t57 * (-0.1e1 * t203 * t23 + t359 + t361);
  t366 = t167 * t42;
  t372 = 0.1e1 * t219 * t102 * t42;
  t377 = 0.1e1 * t319 * t110 * t42;
  t387 = 0.1e1 * t131 * t28;
  t388 = t65 * t293 + t104 * (-t372 + 0.1e1 * t64 * t266 + t377 - 0.1e1 * t126 * t280) + 0.1e1 * t316 * t105 - 0.1e1 * t131 * t268 + t387;
  t394 = 0.1e1 * t28 * t134;
  t400 = t191 * t179;
  t405 = 0.1e1 * t195 * t200;
  t408 = 0.1e1 * t44;
  t410 = t57 * (-t405 + 0.1e1 * t199 * t23 - t408);
  t416 = 0.1e1 * t28 * t146;
  t430 = radw * radw;
  t468 = 0.1e1 / hL0;
  t473 = t46 * t45;
  t475 = 0.1e1 * t203 * t473;
  t476 = -t405 - 0.1e1 * t199 * t24 + t408 - t475;
  t481 = 0.1e1 * t199 * t473;
  t485 = t57 * (-t481 + 0.1e1 * t203 * t24 - t359);
  t488 = t194 * t24;
  t494 = 0.1e1 * t230 * t473;
  t495 = -t251 - 0.1e1 * t227 * t24 + t254 - t494;
  t498 = 0.1e1 * t227 * t473;
  t501 = -t498 + 0.1e1 * t230 * t24 - t243;
  t504 = 0.1e1 * t223 * t473;
  t505 = -t238 + t504;
  t511 = -0.1e1 * t24 * t223 + t226 + t229;
  t514 = (t501 * t111 + t505 * t113 + t511 * t115) * t99;
  t519 = t495 * t115 + t501 * t113 - t505 * t111 + t514 * t95 - t276 * t495 + t100 * t511;
  t528 = t495 * t113 + t511 * t111 - t501 * t115 + t514 * t87 - t287 * t495 + t100 * t505;
  t540 = t495 * t111 + t505 * t115 - t511 * t113 + t514 * t81 - t296 * t495 + t100 * t501;
  t552 = 0.1e1 * t219 * t310;
  t556 = (-t285 + 0.1e1 * t105 * t540 - 0.1e1 * t488 * t110 + t272 + 0.1e1 * t64 * t528 - t552 + 0.1e1 * t126 * t519) * t130;
  t561 = 0.1e1 * t318 * t45;
  t562 = t65 * t519 + t104 * (-t307 + 0.1e1 * t105 * t528 + 0.1e1 * t488 * t117 - t301 - 0.1e1 * t64 * t540) + 0.1e1 * t556 * t126 - t561;
  t565 = t146 * t45;
  t571 = 0.1e1 * t319 * t117 * t45;
  t582 = t65 * t528 + t104 * (-t571 + 0.1e1 * t126 * t540 + t372 - 0.1e1 * t105 * t519) + 0.1e1 * t556 * t64 - 0.1e1 * t131 * t488 + t387;
  t592 = 0.1e1 * t195 * t473;
  t594 = t57 * (-t214 + t592);
  t599 = 0.1e1 * t319 * t167 * t45;
  t606 = 0.1e1 * t319 * t305;
  t613 = t65 * t540 + t104 * (-0.1e1 * t488 * t102 + t337 + 0.1e1 * t64 * t519 + t606 - 0.1e1 * t126 * t528) + 0.1e1 * t556 * t105 - t346;
  t627 = t57 * (-0.1e1 * t195 * t24 + t198 + t202);
  t637 = 0.1e1 * t28 * t167;
  t677 = -t361 - t481 - 0.1e1 * t203 * t25 + t359;
  t684 = t57 * (-0.1e1 * t199 * t25 + t408 + t475);
  t687 = t134 * t46;
  t692 = -t245 - t498 - 0.1e1 * t230 * t25 + t243;
  t696 = -0.1e1 * t227 * t25 + t254 + t494;
  t700 = -t232 + 0.1e1 * t223 * t25 - t226;
  t704 = -t504 + t236;
  t707 = (t696 * t111 + t700 * t113 + t115 * t704) * t99;
  t712 = t115 * t692 + t696 * t113 - t700 * t111 + t707 * t95 - t276 * t692 + t100 * t704;
  t721 = t692 * t113 + t704 * t111 - t696 * t115 + t707 * t87 - t287 * t692 + t100 * t700;
  t731 = t692 * t111 + t700 * t115 - t704 * t113 + t707 * t81 - t296 * t692 + t100 * t696;
  t740 = t194 * t25;
  t746 = (-t331 + 0.1e1 * t105 * t731 - t606 + 0.1e1 * t64 * t721 - 0.1e1 * t740 * t102 + t337 + 0.1e1 * t126 * t712) * t130;
  t751 = t65 * t712 + t104 * (-t377 + 0.1e1 * t105 * t721 + t571 - 0.1e1 * t64 * t731) + 0.1e1 * t746 * t126 - 0.1e1 * t131 * t740 + t387;
  t767 = t65 * t721 + t104 * (-0.1e1 * t740 * t117 + t301 + 0.1e1 * t126 * t731 + t312 - 0.1e1 * t105 * t712) + 0.1e1 * t746 * t64 - t561;
  t779 = t57 * (-t206 + 0.1e1 * t195 * t25 - t198);
  t795 = t65 * t731 + t104 * (-t552 + 0.1e1 * t64 * t712 + 0.1e1 * t740 * t110 - t272 - 0.1e1 * t126 * t721) + 0.1e1 * t746 * t105 - t322;
  t809 = t57 * (-t592 + t212);
  t854 = (t20 * t36 - t16 * t39) * t28;
  t860 = (t41 * t36 - t37 * t39) * t28;
  t866 = (t50 * t36 - t48 * t39) * t28;
  t869 = 0.1e1 * t854 * t42 + 0.1e1 * t860 * t45 + 0.1e1 * t866 * t46;
  t878 = t57 * (0.1e1 * t860 * t46 - 0.1e1 * t866 * t45);
  t889 = t57 * (0.1e1 * t866 * t42 - 0.1e1 * t854 * t46);
  t900 = t57 * (0.1e1 * t854 * t45 - 0.1e1 * t860 * t42);
  t930 = t11 * t36;
  t932 = t14 * t39;
  t935 = (-t10 * t30 + t7 * t930 + t7 * t932) * t28;
  t942 = (-t34 * t30 + t32 * t930 + t32 * t932) * t28;
  t951 = (-t6 * t30 - t9 * t11 * t36 - t9 * t14 * t39) * t28;
  t954 = 0.1e1 * t935 * t42 + 0.1e1 * t942 * t45 + 0.1e1 * t951 * t46;
  t963 = t57 * (0.1e1 * t942 * t46 - 0.1e1 * t951 * t45);
  t974 = t57 * (0.1e1 * t951 * t42 - 0.1e1 * t935 * t46);
  t985 = t57 * (0.1e1 * t935 * t45 - 0.1e1 * t942 * t42);
  t1016 = -t43;
  t1017 = t1016 * t28;
  t1020 = 0.1e1 * t1017 * t42 + t176;
  t1024 = t57 * t22;
  t1031 = t57 * t1016;
  t1041 = t57 * (0.1e1 * t1017 * t45 - t31);
  t1072 = t129 * t104;
  t1075 = -t104 * t102 + t65 * t120 + 0.1e1 * t1072 * t126;
  t1082 = -t104 * t110 + t65 * t142 + 0.1e1 * t1072 * t64;
  t1092 = -t117 * t104 + t65 * t163 + 0.1e1 * t1072 * t105;
  t701 = young * radw * t2 * radh * M_PI * (0.2e1 * t63 * t149 + 0.2e1 * t157 * t172 + 0.2e1 * t180 * t185);
  t702 = t192 * t149;
  t717 = t353 * t172;
  t735 = t400 * t185;
  t757 = young * t430 * radw * radh * M_PI * (-0.2e1 * t63 * t167 - 0.2e1 * t157 * t146 - 0.2e1 * t180 * t134);
  t758 = t192 * t167;
  t765 = t353 * t146;
  t773 = t400 * t134;
  energyGradient[0] = (0.50e0 * t701 * (-0.2e1 * t702 * t207 + 0.2e1 * t216 * t149 + 0.2e1 * t63 * (-t222 + 0.1e1 * t64 * t323 + t328 - 0.1e1 * t126 * t347) - 0.2e1 * t717 * t207 + 0.2e1 * t363 * t172 + 0.2e1 * t157 * (-0.1e1 * t319 * t366 + 0.1e1 * t126 * t388 + 0.1e1 * t268 * t134 - t394 - 0.1e1 * t105 * t323) - 0.2e1 * t735 * t207 + 0.2e1 * t410 * t185 + 0.2e1 * t180 * (-0.1e1 * t268 * t146 + t416 + 0.1e1 * t105 * t347 + 0.1e1 * t219 * t366 - 0.1e1 * t64 * t388)) + 0.50e0 * t757 * (0.2e1 * t758 * t207 - 0.2e1 * t216 * t167 - 0.2e1 * t63 * t388 + 0.2e1 * t765 * t207 - 0.2e1 * t363 * t146 - 0.2e1 * t157 * t347 + 0.2e1 * t773 * t207 - 0.2e1 * t410 * t134 - 0.2e1 * t180 * t323)) * t468 / 0.2e1;
  energyGradient[1] = (0.50e0 * t701 * (-0.2e1 * t702 * t476 + 0.2e1 * t485 * t149 + 0.2e1 * t63 * (-0.1e1 * t488 * t134 + t394 + 0.1e1 * t64 * t562 + 0.1e1 * t319 * t565 - 0.1e1 * t126 * t582) - 0.2e1 * t717 * t476 + 0.2e1 * t594 * t172 + 0.2e1 * t157 * (-t599 + 0.1e1 * t126 * t613 + t222 - 0.1e1 * t105 * t562) - 0.2e1 * t735 * t476 + 0.2e1 * t627 * t185 + 0.2e1 * t180 * (-0.1e1 * t304 * t565 + 0.1e1 * t105 * t582 + 0.1e1 * t488 * t167 - t637 - 0.1e1 * t64 * t613)) + 0.50e0 * t757 * (0.2e1 * t758 * t476 - 0.2e1 * t485 * t167 - 0.2e1 * t63 * t613 + 0.2e1 * t765 * t476 - 0.2e1 * t594 * t146 - 0.2e1 * t157 * t582 + 0.2e1 * t773 * t476 - 0.2e1 * t627 * t134 - 0.2e1 * t180 * t562)) * t468 / 0.2e1;
  energyGradient[2] = (0.50e0 * t701 * (-0.2e1 * t702 * t677 + 0.2e1 * t684 * t149 + 0.2e1 * t63 * (-0.1e1 * t219 * t687 + 0.1e1 * t64 * t751 + 0.1e1 * t740 * t146 - t416 - 0.1e1 * t126 * t767) - 0.2e1 * t677 * t717 + 0.2e1 * t779 * t172 + 0.2e1 * t157 * (-0.1e1 * t740 * t167 + t637 + 0.1e1 * t126 * t795 + 0.1e1 * t304 * t687 - 0.1e1 * t105 * t751) - 0.2e1 * t735 * t677 + 0.2e1 * t809 * t185 + 0.2e1 * t180 * (-t328 + 0.1e1 * t105 * t767 + t599 - 0.1e1 * t64 * t795)) + 0.50e0 * t757 * (0.2e1 * t758 * t677 - 0.2e1 * t684 * t167 - 0.2e1 * t63 * t795 + 0.2e1 * t765 * t677 - 0.2e1 * t779 * t146 - 0.2e1 * t157 * t767 + 0.2e1 * t677 * t773 - 0.2e1 * t809 * t134 - 0.2e1 * t180 * t751)) * t468 / 0.2e1;
  energyGradient[3] = (0.50e0 * t701 * (-0.2e1 * t702 * t869 + 0.2e1 * t878 * t149 - 0.2e1 * t717 * t869 + 0.2e1 * t889 * t172 - 0.2e1 * t735 * t869 + 0.2e1 * t900 * t185) + 0.50e0 * t757 * (0.2e1 * t758 * t869 - 0.2e1 * t878 * t167 + 0.2e1 * t765 * t869 - 0.2e1 * t889 * t146 + 0.2e1 * t773 * t869 - 0.2e1 * t900 * t134)) * t468 / 0.2e1;
  energyGradient[4] = (0.50e0 * t701 * (-0.2e1 * t702 * t954 + 0.2e1 * t963 * t149 - 0.2e1 * t717 * t954 + 0.2e1 * t974 * t172 - 0.2e1 * t735 * t954 + 0.2e1 * t985 * t185) + 0.50e0 * t757 * (0.2e1 * t758 * t954 - 0.2e1 * t963 * t167 + 0.2e1 * t765 * t954 - 0.2e1 * t974 * t146 + 0.2e1 * t773 * t954 - 0.2e1 * t985 * t134)) * t468 / 0.2e1;
  energyGradient[5] = (0.50e0 * t701 * (-0.2e1 * t702 * t1020 + 0.2e1 * t1024 * t126 * t149 - 0.2e1 * t717 * t1020 - 0.2e1 * t1031 * t126 * t172 - 0.2e1 * t735 * t1020 + 0.2e1 * t1041 * t185) + 0.50e0 * t757 * (0.2e1 * t758 * t1020 - 0.2e1 * t1024 * t168 + 0.2e1 * t765 * t1020 + 0.2e1 * t1031 * t147 + 0.2e1 * t773 * t1020 - 0.2e1 * t1041 * t134)) * t468 / 0.2e1;
  energyGradient[6] = (0.50e0 * t701 * (0.2e1 * t63 * (0.1e1 * t64 * t1075 - 0.1e1 * t126 * t1082) + 0.2e1 * t157 * (0.1e1 * t126 * t1092 - 0.1e1 * t105 * t1075) + 0.2e1 * t180 * (0.1e1 * t105 * t1082 - 0.1e1 * t64 * t1092)) + 0.50e0 * t757 * (-0.2e1 * t63 * t1092 - 0.2e1 * t157 * t1082 - 0.2e1 * t180 * t1075)) * t468 / 0.2e1;
}
